Bug 1309445 - GLX throw error on VNC session on s390x
GLX throw error on VNC session on s390x
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tigervnc (Show other bugs)
6.9
s390x Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Jan Grulich
Desktop QE
:
Depends On:
Blocks: 1363705
  Show dependency treegraph
 
Reported: 2016-02-17 15:06 EST by Tomas Pelka
Modified: 2017-12-06 07:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 07:28:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Pelka 2016-02-17 15:06:08 EST
Description of problem:
GLX causing error on VNC session on s390x

Version-Release number of selected component (if applicable):
tigervnc-server-1.1.0-18.el6.s390x
mesa-libGL-11.0.7-1.el6.s390x


How reproducible:
100%

Steps to Reproduce:
1. start vnc session
2. run glxgears
3.

Actual results:
$ glxgears 
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  148 (GLX)
  Minor opcode of failed request:  3 (X_GLXCreateContext)
  Value in failed request:  0x0
  Serial number of failed request:  21
  Current serial number in output stream:  23


Expected results:


Additional info:
I now we do not support Xorg on s390x, it might be the cause. But I would expect  llvm-pipe as OpenGL renderer.

So please close if it is expected.
Comment 1 Duncan Mortimer 2016-08-10 11:25:43 EDT
This is also the case on 6.8 on x86_64 with tigervnc-server-1.1.0-18.el6 this worked fine with tigervnc-server-1.1.0-16.el6.
Comment 4 Jan Grulich 2016-09-06 12:03:19 EDT
Should be matter of a rebuild I guess, at least I did not change that much (except support for newer Xorg sever) between those mentioned builds.
Comment 5 Jan Grulich 2016-09-13 03:37:11 EDT
Could someone please test this scratch build:
https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=11739991

Also update to latest xorg-x11-server which is xorg-x11-server-1.17.4-12.el6 and latest mesa-libGL which is I guess mesa-libGL-11.0.7-4.el6.

Try it please ASAP, the build will be removed soon.
Comment 7 Tomas Pelka 2016-10-21 03:28:07 EDT
(In reply to Jan Grulich from comment #5)
> Could someone please test this scratch build:
> https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=11739991
> 
> Also update to latest xorg-x11-server which is xorg-x11-server-1.17.4-12.el6
> and latest mesa-libGL which is I guess mesa-libGL-11.0.7-4.el6.
> 
> Try it please ASAP, the build will be removed soon.

With tigervnc-server.s390x 0:1.1.0-16.el6/mesa-libGL-11.0.7-4.el6.s390x

No X errors on stderr.

Will build again Jan's scratch and will try -19 again.
Comment 8 Tomas Pelka 2016-10-21 03:36:23 EDT
-19 tigervnc cause the same error

$ glxgears 
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  148 (GLX)
  Minor opcode of failed request:  3 (X_GLXCreateContext)
  Value in failed request:  0x0
  Serial number of failed request:  21
  Current serial number in output stream:  23
Comment 9 Tomas Pelka 2016-10-21 03:41:09 EDT
(In reply to Tomas Pelka from comment #8)
> -19 tigervnc cause the same error

Just note that it was build against xorg-x11-server-1.17.4-9, -12 was never released, see https://errata.devel.redhat.com/package/show/xorg-x11-server
> 
> $ glxgears 
> X Error of failed request:  BadValue (integer parameter out of range for
> operation)
>   Major opcode of failed request:  148 (GLX)
>   Minor opcode of failed request:  3 (X_GLXCreateContext)
>   Value in failed request:  0x0
>   Serial number of failed request:  21
>   Current serial number in output stream:  23
Comment 11 Jan Kurik 2017-12-06 07:28:42 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.